<?php
/**
 * Single Post Options
 *
 * @package sports_nutritionist
 */

$wp_customize->add_section(
	'sports_nutritionist_single_post_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'sports-nutritionist' ),
		'panel' => 'sports_nutritionist_theme_options',
	)
);

// Post Options - Show / Hide Date.
$wp_customize->add_setting(
	'sports_nutritionist_single_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'sports_nutritionist_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Sports_Nutritionist_Toggle_Switch_Custom_Control(
		$wp_customize,
		'sports_nutritionist_single_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Date', 'sports-nutritionist' ),
			'section' => 'sports_nutritionist_single_post_options',
		)
	)
);

// Post Options - Show / Hide Author.
$wp_customize->add_setting(
	'sports_nutritionist_single_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'sports_nutritionist_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Sports_Nutritionist_Toggle_Switch_Custom_Control(
		$wp_customize,
		'sports_nutritionist_single_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'sports-nutritionist' ),
			'section' => 'sports_nutritionist_single_post_options',
		)
	)
);

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'sports_nutritionist_single_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'sports_nutritionist_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Sports_Nutritionist_Toggle_Switch_Custom_Control(
		$wp_customize,
		'sports_nutritionist_single_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'sports-nutritionist' ),
			'section' => 'sports_nutritionist_single_post_options',
		)
	)
);

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'sports_nutritionist_single_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'sports_nutritionist_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Sports_Nutritionist_Toggle_Switch_Custom_Control(
		$wp_customize,
		'sports_nutritionist_single_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'sports-nutritionist' ),
			'section' => 'sports_nutritionist_single_post_options',
		)
	)
);

// Post Options - Show / Hide Category.
$wp_customize->add_setting(
	'sports_nutritionist_single_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'sports_nutritionist_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Sports_Nutritionist_Toggle_Switch_Custom_Control(
		$wp_customize,
		'sports_nutritionist_single_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'sports-nutritionist' ),
			'section' => 'sports_nutritionist_single_post_options',
		)
	)
);

// Post Options - Show / Hide Tag.
$wp_customize->add_setting(
	'sports_nutritionist_post_hide_tags',
	array(
		'default'           => true,
		'sanitize_callback' => 'sports_nutritionist_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Sports_Nutritionist_Toggle_Switch_Custom_Control(
		$wp_customize,
		'sports_nutritionist_post_hide_tags',
		array(
			'label'   => esc_html__( 'Show / Hide Tag', 'sports-nutritionist' ),
			'section' => 'sports_nutritionist_single_post_options',
		)
	)
);

// Post Options - Comment Title.
$wp_customize->add_setting(
	'sports_nutritionist_blog_post_comment_title',
	array(
		'default'=> 'Leave a Reply',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'sports_nutritionist_blog_post_comment_title',
	array(
		'label'	=> __('Comment Title','sports-nutritionist'),
		'input_attrs' => array(
			'placeholder' => __( 'Leave a Reply', 'sports-nutritionist' ),
		),
		'section'=> 'sports_nutritionist_single_post_options',
		'type'=> 'text'
	)
);